Package org.eclipse.emf.cdo

## Class CDOElement

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.emf.cdo.CDOElement

- All Implemented Interfaces:
    `IAdaptable`, `Adapter`, `Adapter.Internal`

      public class CDOElement
      extends AdapterImpl
      implements IAdaptable

  An `adapter` for `EObjects` that is able to impose an alternative contents tree structure.
  Since:
    4.4
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `CDOElement.StateProvider` | Provides the consumer with the `states` of objects such as `CDOObjects`.

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

      `Adapter.Internal`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

      `target`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOElement​(EObject delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addChild​(java.lang.Object child)` |
    `java.lang.Object` | `getAdapter​(java.lang.Class adapter)` |
    `java.lang.Object[]` | `getChildren()` |
    `java.lang.Object` | `getDelegate()` |
    `static CDOElement` | `getFor​(java.lang.Object object)` |
    `java.lang.Object` | `getParent()` |
    `static EObject` | `getParentOf​(EObject eObject)` |
    `boolean` | `hasChildren()` |
    `boolean` | `isAdapterForType​(java.lang.Object type)` |
    `static EList<Adapter>` | `removeFrom​(java.lang.Object object)` |
    `void` | `reset()` |
    `java.lang.String` | `toString()` |
    `java.lang.String` | `toString​(java.lang.Object child)` |

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

      `getTarget, notifyChanged, setTarget, unsetTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOElement

          public CDOElement​(EObject delegate)

  - ### Method Detail

    - #### getDelegate

          public java.lang.Object getDelegate()

    - #### getParent

          public java.lang.Object getParent()

    - #### getChildren

          public java.lang.Object[] getChildren()

    - #### hasChildren

          public boolean hasChildren()

    - #### addChild

          public void addChild​(java.lang.Object child)

    - #### reset

          public void reset()

    - #### isAdapterForType

          public boolean isAdapterForType​(java.lang.Object type)

      Specified by:
        `isAdapterForType` in interface `Adapter`
      Overrides:
        `isAdapterForType` in class `AdapterImpl`

    - #### getAdapter

          public java.lang.Object getAdapter​(java.lang.Class adapter)

      Specified by:
        `getAdapter` in interface `IAdaptable`

    - #### toString

          public java.lang.String toString​(java.lang.Object child)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getParentOf

          public static EObject getParentOf​(EObject eObject)

    - #### getFor

          public static CDOElement getFor​(java.lang.Object object)

    - #### removeFrom

          public static EList<Adapter> removeFrom​(java.lang.Object object)